typedef BrazilianNames<T> = Map<int, T>;

const List<String> brazilAndStatesAbbreviated = [
  'AC',
  'AL',
  'AM',
  'AP',
  'BA',
  'CE',
  'DF',
  'ES',
  'GO',
  'MA',
  'MG',
  'MG',
  'MS',
  'MT',
  'PA',
  'PB',
  'PE',
  'PI',
  'PR',
  'RJ',
  'RN',
  'RO',
  'RR',
  'RS',
  'SC',
  'SE',
  'SP',
  'TO',
  'BR'
];

const BrazilianNames<Map<String, String>> weekDaysInPortuguesePtBR = {
  1: {
    'shortName': 'Seg',
    'fullName': 'Segunda-feira',
  },
  2: {
    'shortName': 'Ter',
    'fullName': 'Terça-feira',
  },
  3: {
    'shortName': 'Quar',
    'fullName': 'Quarta-feira',
  },
  4: {
    'shortName': 'Quin',
    'fullName': 'Quinta-feira',
  },
  5: {
    'shortName': 'Sex',
    'fullName': 'Sexta-feira',
  },
  6: {
    'shortName': 'Sáb',
    'fullName': 'Sábado',
  },
  7: {
    'shortName': 'Dom',
    'fullName': 'Domingo',
  },
};

const BrazilianNames<Map<String, String>> monthsInPortuguesePtBR = {
  1: {
    'shortName': 'Jan',
    'fullName': 'Janeiro',
  },
  2: {
    'shortName': 'Fev',
    'fullName': 'Fevereiro',
  },
  3: {
    'shortName': 'Mar',
    'fullName': 'Março',
  },
  4: {
    'shortName': 'Abr',
    'fullName': 'Abril',
  },
  5: {
    'shortName': 'Mai',
    'fullName': 'Maio',
  },
  6: {
    'shortName': 'Jun',
    'fullName': 'Junho',
  },
  7: {
    'shortName': 'Jul',
    'fullName': 'Julho',
  },
  8: {
    'shortName': 'Agos',
    'fullName': 'Agosto',
  },
  9: {
    'shortName': 'Set',
    'fullName': 'Setembro',
  },
  10: {
    'shortName': 'Out',
    'fullName': 'Outubro',
  },
  11: {
    'shortName': 'Nov',
    'fullName': 'Novembro',
  },
  12: {
    'shortName': 'Dez',
    'fullName': 'Dezembro',
  },
};

const List<Map<String, String>> brazilianStates = [
  {
    'shortName': 'AC',
    'fullName': 'Acre',
  },
  {
    'shortName': 'AL',
    'fullName': 'Alagoas',
  },
  {
    'shortName': 'AP',
    'fullName': 'Amapá',
  },
  {
    'shortName': 'AM',
    'fullName': 'Amazonas',
  },
  {
    'shortName': 'BA',
    'fullName': 'Bahia',
  },
  {
    'shortName': 'CE',
    'fullName': 'Ceará',
  },
  {
    'shortName': 'DF',
    'fullName': 'Distrito Federal',
  },
  {
    'shortName': 'ES',
    'fullName': 'Espírito Santo',
  },
  {
    'shortName': 'GO',
    'fullName': 'Goiás',
  },
  {
    'shortName': 'MA',
    'fullName': 'Maranhão',
  },
  {
    'shortName': 'MT',
    'fullName': 'Mato Grosso',
  },
  {
    'shortName': 'MS',
    'fullName': 'Mato Grosso do Sul',
  },
  {
    'shortName': 'MG',
    'fullName': 'Minas Gerais',
  },
  {
    'shortName': 'PR',
    'fullName': 'Paraná',
  },
  {
    'shortName': 'PB',
    'fullName': 'Paraíba',
  },
  {
    'shortName': 'PA',
    'fullName': 'Pará',
  },
  {
    'shortName': 'PE',
    'fullName': 'Pernambuco',
  },
  {
    'shortName': 'PI',
    'fullName': 'Piauí',
  },
  {
    'shortName': 'RN',
    'fullName': 'Rio Grande do Norte',
  },
  {
    'shortName': 'RS',
    'fullName': 'Rio Grande do Sul',
  },
  {
    'shortName': 'RJ',
    'fullName': 'Rio de Janeiro',
  },
  {
    'shortName': 'RO',
    'fullName': 'Rondônia',
  },
  {
    'shortName': 'RR',
    'fullName': 'Roraima',
  },
  {
    'shortName': 'SC',
    'fullName': 'Santa Catarina',
  },
  {
    'shortName': 'SE',
    'fullName': 'Sergipe',
  },
  {
    'shortName': 'SP',
    'fullName': 'São Paulo',
  },
  {
    'shortName': 'TO',
    'fullName': 'Tocantins',
  },
];
